明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 228|回复: 2

发一个获取图元矩形包围框的函数

[复制链接]
发表于 前天 22:44 | 显示全部楼层 |阅读模式
;;; 本程序用于获取图元对象的矩形范围   ;;;
;;; 返回点列表((左下角x 左下角y 0.0) (右上角x 右上角y 0.0)) ;;;
(defun vla-GetBound (ename / pSelectedObject minpoint maxpoint lwLeft upRight)
  (vl-load-com)
  (if (= (type ename) 'ENAME)
    (setq pSelectedObject (vlax-ename->vla-object ename))
    (setq pSelectedObject ename)
  )
  (vla-GetBoundingBox pSelectedObject 'minpoint 'maxpoint)
  (setq lwLeft (vlax-safearray->list minpoint))
  (setq upRight (vlax-safearray->list maxpoint))  ;;;   把z值改为0
  (setq lwLeft (list (nth 0 lwLeft) (nth 1 lwLeft) 0.0))
  (setq upRight (list (nth 0 upRight) (nth 1 upRight) 0.0))
  (list lwLeft upRight)
)
发表于 昨天 06:34 | 显示全部楼层
虽然是很基础的功能 但是搜了一下 资料还真不多
发表于 昨天 08:49 | 显示全部楼层
新人必学的一个子函数,而且使用率很高很高。。。
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-9-30 10:30 , Processed in 0.159304 second(s), 23 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表